Logs
GET
/system/log
const url = 'https://demo.evcc.io/api/system/log?areas=lp-1&areas=site&areas=db&level=FATAL&count=100&format=txt';const options = {method: 'GET', headers: {cookie: 'auth=<auth>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://demo.evcc.io/api/system/log?areas=lp-1&areas=site&areas=db&level=FATAL&count=100&format=txt' \ --cookie auth=<auth>Returns the latest log lines.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”areas
level
required
count
integer
Number of log lines to return
Example
100format
string
File type
Responses
Section titled “Responses”Success
object
result
Array<string>
Examplegenerated
{ "result": [ "example" ]}Download txt-file
string format: binary
Unauthorized - Login and try again
Media typetext/plain
string